<template>
  <ul class="product-list">
    <li class="product-list__item" v-for="(category, categoryTitle) in products" :key="categoryTitle">
      <h3 class="product-list__title">{{ categoryTitle }}</h3>
      <ul class="products">
        <ProductListItem v-for="product in category" :key="product.id" :product="product" />
      </ul>
    </li>
  </ul>
</template>

<script>
import ProductListItem from '@/components/ProductListItem'

export default {
  name: 'ProductList',
  props: {
    products: {
      required: true,
      type: Object
    }
  },
  components: {
    ProductListItem
  }
}
</script>
